/pii/detect
Detect PII entities. Runs a token-classification model and returns entity spans with character offsets relative to the input. Provide either `text` (single) or `texts` (batch). `threshold` overrides the per-model default. `types` filters the entity types returned.
Detect PII entities.
Runs a token-classification model and returns entity spans with character
offsets relative to the input. Provide either text (single) or texts
(batch). threshold overrides the per-model default. types filters the
entity types returned.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/pii/detect" \ -H "Content-Type: application/json" \ -d '{ "model": "ai4privacy", "text": "Email john@example.com — John Smith" }'{ "object": "pii.detect", "model": "string", "results": [ { "text": "string", "entities": [ { "entity_type": "string", "text": "string", "score": 0.1, "start": 0, "end": 0 } ] } ], "usage": { "prompt_tokens": 0, "total_tokens": 0 }}
RS Infer